*{
  font-family: 'Dosis', sans-serif;
  margin: 0;
  padding: 0;
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
  outline: none;
  border: none;
  text-decoration: none;
  -webkit-tap-highlight-color: transparent !important;
  user-select: none;
  letter-spacing: 1px;
  word-spacing: 4px;
}
:root{
  --gradient: linear-gradient(180deg, red, green);
  --box-shadow: 0 4px 16px rgba(0,0,0,.25);
}
html{
  overflow-x: hidden;
  scroll-behavior: smooth;
  scroll-padding-top: 5rem;
}
html::-webkit-scrollbar{
  width: 1rem;
}
html::-webkit-scrollbar-thumb{
  background: ghostwhite;
  border: 1px solid gainsboro;
}
body{
  max-width: 2000px;
  margin: auto;
  color: #333;
}
img{
  display: block;
  width: 100%;
  height: 100%;
  user-select: none;
  -webkit-user-drag: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
}
p, li, span, a, button{
  line-height: 24px;
  font-size: 16px;
}
button{
  background: transparent;
  cursor: pointer;
}
.heading{
  font-size: 28px;
  text-align: center;
  margin-bottom: 2rem;
  color: rebeccapurple;
  text-shadow: 2px 2px 2px #333;
}
.alt-heading{
  display: block;
  font-size: 20px;
  line-height: 28px;
}
.grid{
  display: -ms-grid;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
  grid-gap: 20px;
}
.grid-200{
  display: -ms-grid;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
  grid-gap: 20px;
}
.flex-center{
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  gap: 1.5rem;
}
.flex-down{
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  gap: 1.5rem;
}
.flex-down-16{
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  gap: 16px;
}
.btn{
  display: inline-block;
  border: 1px solid rebeccapurple;
  color: rebeccapurple;
  cursor: pointer;
  background: none;
  padding: 8px 16px;
  font-size: 16px;
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
}
.btn:hover{
  background: rebeccapurple;
  color: #fff;
}
.parallax{
  width: 100%;
  height: 100%;
  position: relative;
  background: url(images/header.jpg);
  background-repeat: no-repeat;
  background-attachment: fixed;
  background-size: cover;
  background-position: center;
}
.parallax::after{
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: #000;
  opacity: .5;
}
.parallax .content{
  position: relative;
  z-index: 1;
  width: 100%;
  height: 100%;
}
.gradient-text{
  background: var(--gradient);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}
.mt-16{
  margin-top: 16px;
}
.mb-16{
  margin-bottom: 16px;
}
.mb-8{
  margin-bottom: 8px;
}
.mr-8{
  margin-right: 8px;
}
/* fonts */
.fsz-14{
  font-size: 14px;
  line-height: 22px;
}
/*root responsive*/
main,
footer{
  padding: 3rem;
}
@media screen and (max-width: 800px){
  main,
  footer{
    padding: 3rem 2rem;
  }
}
@media screen and (max-width: 500px){
  main,
  footer{
    padding: 3rem 1rem;
  }
  .grid{
    -ms-grid-columns: 1fr;
    grid-template-columns: 1fr;
  }
}

/* ------------------------- header ------------------------- */
.header{
  position: fixed;
  top: 0;
  left: 50%;
  -webkit-transform: translateX(-50%);
      -ms-transform: translateX(-50%);
          transform: translateX(-50%);
  width: 100%;
  max-width: 2000px;
  z-index: 10;
  height: 60px;
  padding: 0 3rem;
  background: rebeccapurple;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
}
.header .logo{
  color: #fff;
  font-family: 'Lobster', sans-serif;
}
.header .nav{
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  gap: 0 16px;
}
.header .nav a{
  color: #fff;
}
.header .nav a.active,
.header .nav a:hover{
  color: #111;
}
.header .header-btn{
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  gap: 0 16px;
  position: relative;
}
.header .header-btn i{
  color: #fff;
  cursor: pointer;
}
.header .header-btn i:hover{
  color: #111;
}
.header .header-btn .menu{
  display: none;
}
.search-box::-webkit-scrollbar{
  width: 1rem;
}
.search-box::-webkit-scrollbar-thumb{
  background: ghostwhite;
  border: 1px solid gainsboro;
}
.search-box {
    position: fixed;
    top: -100px;
    left: 50%;
    -webkit-transform: translateX(-50%);
        -ms-transform: translateX(-50%);
            transform: translateX(-50%);
    width: calc(100% - 96px);
    border: 1px solid rgba(0, 0, 0, 0.1);
    border-radius: 4px;
    padding: 16px;
    -webkit-transition: 0.25s all ease-in-out;
    -o-transition: 0.25s all ease-in-out;
    transition: 0.25s all ease-in-out;
    z-index: 9;
    background-color: #fff;
    -webkit-box-shadow: 0 1px 8px rgba(0, 0, 0, 0.1);
            box-shadow: 0 1px 8px rgba(0, 0, 0, 0.1);
}
.search-box.active {
    top: 80px;
    height: calc(100vh - 100px);
    overflow-y: auto;
}
.search-box #searchInput{
  width: 100%;
  font-size: 16px;
}
#searchResults {
    border-top: 1px solid #ddd;
    margin-top: 16px;
    padding-top: 16px;
}
#searchResults .content{
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  gap: 16px;
  margin-bottom: 16px;
}
#searchResults .content:last-child{
  margin-bottom: 0;
}
#searchResults .content img{
  width: 10%;
}
#searchResults .content a{
    color: rebeccapurple;
    font-size: 14px;
    line-height: 18px;
}
#searchResults .content a:hover {
    color: deeppink;
}

/* header responsive */
@media screen and (max-width: 800px){
  .header{
    padding: 0 2rem;
  }
  .header .nav{
    position: absolute;
    top: 60px;
    left: -400px;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    -webkit-box-align: start;
        -ms-flex-align: start;
            align-items: flex-start;
    gap: 1rem 0;
    width: 100%;
    max-width: 400px;
    background: #333;
    padding: 1.5rem 2rem;
    -webkit-transition: .25s all ease-in-out;
    -o-transition: .25s all ease-in-out;
    transition: .25s all ease-in-out;
  }
  .header .nav.active{
    left: 0;
  }
  .header .nav a.active,
  .header .nav a:hover{
    color: hotpink;
  }
  .header .header-btn .menu{
    display: initial;
  }
  .header .header-btn .search-box{
    width: calc(100% - 32px);
  }
  #searchResults .content img{
    width: 12.5%;
  }
}
@media screen and (max-width: 500px){
  .header{
    padding: 0 1rem;
  }
  .header .nav{
    padding: 1.5rem 1rem;
  }
  #searchResults .content img{
    width: 15%;
  }
}

/* ------------------------- main ------------------------- */
.main{
  display: -ms-grid;
  display: grid;
  -ms-grid-columns: 2fr 20px 1fr;
  grid-template-columns: 2fr 1fr;
  grid-gap: 32px 20px;
}
.main section{
  margin-bottom: 32px;
}
.main section:last-child{
  margin-bottom: 0;
}
/* main meta-data */
.main .meta-data .breadcrumb{
  list-style: none;
}
.main .meta-data .breadcrumb li{
  display: inline;
}
.main .meta-data .breadcrumb li:after{
  content: '\002F';
  margin: 0 6px 0 12px;
}
.main .meta-data .breadcrumb li:last-child:after{
  content: none;
}
.main .meta-data .breadcrumb li a,
.main .meta-data .breadcrumb li a:visited{
  color: rebeccapurple;
}
.main .meta-data .breadcrumb li a:hover{
  color: deeppink;
}
/* main article */
.main .article .post > *{
  margin-bottom: 24px;
}
.main .article .post h1{
  font-size: 28px;
  line-height: 36px;
  color: rebeccapurple;
}
.main .article .post .thumbnail{
  margin: 0 auto 24px;
  max-width: 600px;
  max-height: 400px;
}
.main .article .post h2{
  font-size: 24px;
  line-height: 32px;
}
.main .article .post h3{
  font-size: 20px;
  line-height: 28px;
}
.main .article .post h4{
  font-size: 16px;
  line-height: 24px;
}
.main .article .post ul,
.main .article .post ol{
  list-style-position: inside!important;
}
.main .article .post ol li:not(:last-child),
.main .article .post ul li:not(:last-child){
  margin-bottom: 16px;
}
.main .article .post ul li > strong,
.main .article .post ul li > span,
.main .article .post ul li > b{
  margin-left: -8px
}
.main .article .post ol li > strong,
.main .article .post ol li > span,
.main .article .post ol li > b{
  margin-left: 0px
}
.main .article .post ul li p:nth-child(2),
.main .article .post ol li p:nth-child(2){
  margin-left: 16px;
  margin-top: 8px;
}
.main .article .post ul li p:last-child,
.main .article .post ol li p:last-child{
  margin-left: 16px;
  margin-top: 12px;
}
.main .article .post ol li > ul{
  margin-top: 12px;
  margin-left: 36px;
  list-style-position: inside!important;
}
.main .article .post ol li > ul > li{
  list-style: disc;
}
.main .article .post ol li > ul > li > p{
  margin-left: 0!important;
}

.main .article .post a,
.main .article .post a:visited{
  color: dodgerblue;
}
.main .article .post a:hover{
  color: deeppink;
}
.main .article .post .table{
  width: 100%;
  border-collapse: collapse;
}
.main .article .post .table thead tr th,
.main .article .post .table tbody tr td{
  border: 1px solid rgba(0,0,0,10%);
  vertical-align: top;
  padding: 14px;
  font-size: 14px;
}
.main .article .post .table tbody tr td:not(:first-child){
  text-align: center;
}
.main .article .post .table thead tr th{
  background: gainsboro;
}
.main .article .post .table tbody tr:nth-child(even){
  background: ghostwhite;
}
/* main article tags */
.main .article .tags{
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
  gap: 8px;
}
.main .article .tags .btn{
  border: 1px solid #999;
  border-radius: 21px;
  color: #999;
  font-size: 12px;
  line-height: 16px;
  cursor: auto;
}
.main .article .tags .btn:hover{
  background: #fff;
}
/* main article sharer */
.main .article .sharer span{
  display: block;
  text-align: center;
  margin-bottom: 12px;
  font-weight: bold;
  font-size: 18px;
  line-height: 26px;
}
.main .article .sharer .box a{
  font-size: 32px;
}
.main .article .sharer .box a.fa-facebook{
  color: #3b5999;
}
.main .article .sharer .box a.fa-twitter{
  color: #00acee;
}
.main .article .sharer .box a.fa-whatsapp{
  color: #3fbb50;
}
.main .article .sharer .box a.fa-telegram{
  color: #179cde;
}
.main .article .sharer .box a.fa-pinterest{
  color: #e60023;
}
.main .article .sharer .box a.fa-linkedin{
  color: #0077b5;
}
.main .article .sharer .box a:hover{
  color: #333;
}
/* main article related-post */
.main .article .related-post h3{
  text-align: center;
  margin-bottom: 12px;
  font-size: 18px;
  line-height: 26px;
}
.main .article .related-post .content{
  margin-bottom: 16px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  gap: 0 16px;
}
.main .article .related-post .content img{
  width: 25%;
}
.main .article .related-post .content a{
  font-size: 14px;
  line-height: 18px;
  color: rebeccapurple;
}
.main .article .related-post .content a:hover{
  color: deeppink;
}
/* main aside article-category */
.main .aside .article-category > h3{
  color: #fff;
  background: rebeccapurple;
  margin-bottom: 20px;
  padding: 8px 16px;
}
.main .aside .article-category .box{
  margin-bottom: 24px;
}
.main .aside .article-category .box .content{
  margin-bottom: 16px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  gap: 0 16px;
}
.main .aside .article-category .box .content img{
  width: 25%;
}
.main .aside .article-category .box .content a{
  font-size: 14px;
  line-height: 18px;
  color: rebeccapurple;
}
.main .aside .article-category .box .content a:hover{
  color: deeppink;
}
.main .aside .article-category .box:last-child .content:last-child{
  margin-bottom: 0;
}
/* main contact pages */
.main .article .post .address li{
  padding: 16px;
  background: ghostwhite;
  gap: 16px;
  border-radius: 4px;
}
.main .article .post .address li > *{
  margin-bottom: 0;
}
.main .article .post .address li span{
  font-size: 32px;
}
.main .article .post #contact-form{
  padding: 16px;
  border: 1px solid rgba(0,0,0,10%);
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  gap: 16px;
  border-radius: 4px;
}
.main .article .post #contact-form .field label,
.main .article .post #contact-form .field input,
.main .article .post #contact-form .field textarea{
  font-size: 16px;
  line-height: 24px;
  display: block;
  color: #777;
}
.main .article .post #contact-form .field input,
.main .article .post #contact-form .field textarea{
  width: 100%;
  border: 1px solid rgba(0,0,0,10%);
  border-radius: 4px;
  padding: 8px;
  margin-top: 12px;
}
.main .article .post #contact-form .field textarea{
  resize: none;
  height: 200px;
}
.main .article .post #contact-form #contact-form-btn{
  background: lavender;
  border-radius: 4px;
  width: max-content;
  padding: 8px 32px;
  margin: 8px auto;
}
.main .article .post #contact-form #contact-form-btn:hover{
  background: mediumpurple;
  color: #fff;
}
/* sitemap pages */
.sitemap > * {
  margin-bottom: 24px;
}
.sitemap .box.grid{
  grid-gap: 16px;
}
.sitemap .box.grid .content > *{
  font-size: 14px;
  line-height: 22px;
}
.sitemap .box.grid .content span{
  color: #555;
}
.sitemap .box.grid .content a{
  color: dodgerblue;
}
.sitemap .box.grid .content a:hover{
  color: deeppink;
}
/* all main responsive */
@media screen and (max-width: 800px){
  .main{
    -ms-grid-columns: 1fr;
    grid-template-columns: 1fr;
  }
  .main .article .post .table thead tr th,
  .main .article .post .table tbody tr td{
    padding: 12px;
  }
}
@media screen and (max-width: 500px){
  .main .article .post .table thead tr th,
  .main .article .post .table tbody tr td{
    padding: 8px 4px;
  }
  .main .article .sharer .box a{
    font-size: 24px;
  }
}

/* ------------------------- footer ------------------------- */
.footer{
  background: #333;
  color: #fff;
}
.footer .slogan > a{
  display: block;
  width: -webkit-max-content;
  width: -moz-max-content;
  width: max-content;
  margin: auto;
}
.footer .slogan a img{
  max-height: 64px;
  max-width: 64px;
}
.footer .slogan p{
  text-align: center;
  margin: 16px 0;
}
.footer .slogan .social a{
  color: silver;
  font-size: 24px;
  width: auto;
}
.footer .slogan .social a:hover{
  color: #fff;
}
.footer .link .box h3{
  color: mediumpurple;
  margin-bottom: 20px;
}
.footer .link{
  margin: 3rem 0;
  padding: 3rem 0;
  border-top: 1px solid rgba(255,255,255,10%);
  border-bottom: 1px solid rgba(255,255,255,10%); 
}
.footer .link .box a{
  color: #fff;
  display: block;
  width: -webkit-max-content;
  width: -moz-max-content;
  width: max-content;
  margin-bottom: 16px;
}
.footer .link .box a:hover{
  color: mediumpurple;
}
.footer .link .box a:last-child{
  margin-bottom: 0;
}
.footer .link .box input{
  padding: 8px;
  width: 100%;
  border-radius: 4px;
  display: block;
  margin-bottom: 16px;
}
.footer .link .box .subscribe{
  display: block;
  background: mediumpurple;
  border-radius: 4px;
  padding: 8px 16px;
}
.footer .link .box .subscribe:hover{
  background: #fff;
}
@-webkit-keyframes spin {
    0% { -webkit-transform: rotate(0deg); transform: rotate(0deg); }
    100% { -webkit-transform: rotate(360deg); transform: rotate(360deg); }
}
@keyframes spin {
    0% { -webkit-transform: rotate(0deg); transform: rotate(0deg); }
    100% { -webkit-transform: rotate(360deg); transform: rotate(360deg); }
}
.footer .link .box .subscribe .fa-spinner{
  -webkit-animation: spin 2s linear infinite;
          animation: spin 2s linear infinite;
}
.footer .copyright p{
  text-align: center;
}
.footer .copyright p a{
  color: #fff;
}
.footer .copyright p a:hover{
  color: mediumpurple;
}
.footer .copyright .dmca-badge img{
  width: 100px;
  height: auto;
  display: block;
  margin: 16px auto 0;
}
/* responsive */
@media screen and (max-width: 500){
  .footer .link .box a{
    width: 100%;
  }
}

/* ------------------------- ads ------------------------- */
.top-ads,
.article-ads,
.side-ads,
.bottom-ads{
  width: 100%!important;
  overflow: hidden;
}
.top-ads{
  padding: 0 3rem;
}
.top-ads .adsbygoogle #aswift_1_host{
  width: 100%;
  display: block;
  margin: auto;
}
.side-ads{
  margin-bottom: 20px;
}
.bottom-ads{
  padding: 0 3rem;
  margin: 0 auto 3rem;
}
.side-ads iframe,
.bottom-ads iframe{
  display: block;
  margin: auto;
}
@media screen and (max-width: 800px){
  .top-ads,
  .bottom-ads{
    padding: 0 2rem;
  }
}
@media screen and (max-width: 500px){
  .top-ads iframe{
    max-width: 480px;
  }
  .top-ads,
  .bottom-ads{
    padding: 0 1rem;
  }
  .side-ads iframe{
    width: 100%;
    max-width: 300px;
  }
  .bottom-ads iframe{
    width: 100%;
    max-width: 320px;
  }
}
